#ifndef LPXIOC_H
#define LPXIOC_H

#ifndef CTL_CODE
    #error CTL_CODE() not defined. Please include before <winioctl.h>
#endif


//
// Define the various device type values.  Note that values used by Microsoft
// Corporation are in the range 0-32767, and 32768-65535 are reserved for use
// by customers.
//

#define FILE_DEVICE_LPCDRV  0x00008300

#define IOCTL_LPCDRV_GET_VERSION \
    CTL_CODE( FILE_DEVICE_LPCDRV, 0x900, METHOD_BUFFERED, FILE_READ_ACCESS )
/*
#define IOCTL_LPCDRV_TEST_READ \
    CTL_CODE( FILE_DEVICE_LPCDRV, 0x901, METHOD_BUFFERED, FILE_READ_ACCESS )

#define IOCTL_LPCDRV_TEST_WRITE \
    CTL_CODE( FILE_DEVICE_LPCDRV, 0x902, METHOD_BUFFERED, FILE_WRITE_ACCESS )

#define IOCTL_LPCDRV_GET_LOG \
    CTL_CODE( FILE_DEVICE_LPCDRV, 0x903, METHOD_BUFFERED, FILE_READ_ACCESS )
*/
#define IOCTL_LPCDRV_WATCHER_CMD \
    CTL_CODE( FILE_DEVICE_LPCDRV, 0x904, METHOD_BUFFERED, (FILE_READ_DATA | FILE_WRITE_DATA) )
/*
#define IOCTL_LONTCP_READ \
    CTL_CODE( FILE_DEVICE_LPCDRV, 0x905, METHOD_BUFFERED, FILE_READ_ACCESS )

#define IOCTL_LONTCP_WRITE \
    CTL_CODE( FILE_DEVICE_LPCDRV, 0x906, METHOD_BUFFERED, FILE_WRITE_ACCESS )

#define IOCTL_LONTCP_READ_PARAMS \
    CTL_CODE( FILE_DEVICE_LPCDRV, 0x907, METHOD_BUFFERED, FILE_READ_ACCESS )
*/
#define IOCTL_LPCDRV_READ_WAIT \
    CTL_CODE( FILE_DEVICE_LPCDRV, 0x908, METHOD_BUFFERED, (FILE_READ_DATA | FILE_WRITE_DATA) )

#define IOCTL_LPCDRV_SET_READ_TIMEOUT \
    CTL_CODE( FILE_DEVICE_LPCDRV, 0x909, METHOD_BUFFERED, FILE_WRITE_DATA )



//
// Macro definition for defining IOCTL and FSCTL function control codes.  Note
// that function codes 0-2047 are reserved for Microsoft Corporation, and
// 2048-4095 are reserved for customers.
//

// #define LPCDRV_IOCTL_INDEX  0x830


/*
// Driver API enumerations fr Win95
typedef enum {
        Get_Version = 0,
        LDV_Acquire,
        LDV_Release,
        LDV_Rsvd1,
        LDV_Init,
        LDV_Hard_Reset,
        LDV_ReInit,             // Used by Echelon Control Panel app.
        LDV_Register_Callback,  // =7
        LDV_Get_MStatus,        // messaging statistics
        LDV_Get_Status,         // config & hardware status
        LDV_Read,               // =10
        LDV_Write,              // =11
        LDV_Version,			// had problems w/ using Get_Version (0)
		LDV_Lpcdrv_Get_Log,		//this added 23.10.97 jk
		LDV_Watcher_Device_Ctrl,
        LDV_Last
} LdvApiIdx;
*/



// Obsolete Control Codes for compatibility with old drivers versions

//                                C P L  (LPC)
#define IOCTL_GETVERSION	    0x43504C00
#define IOCTL_WATCHER		    0x43504C01
#define IOCTL_READ			    0x43504C02
#define IOCTL_WATCHER_SET_TIME	0x43504C03


#endif  // LPXIOC_H
